文档中心
MogDBMogDB StackUqbar
生态工具
v3.0
文档目录
文档:v3.0
支持的版本:
其他版本:

环境要求

硬件环境要求

下表列出了MogDB服务器应具备的最低硬件要求。在实际产品中,硬件配置的规划需考虑数据规模及所期望的数据库响应速度。请根据实际情况进行规划。

项目 配置描述
内存 功能调试32GB以上。
性能测试和商业部署时,单实例部署建议128GB以上。
复杂的查询对内存的需求量比较高,在高并发场景下,可能出现内存不足。此时建议使用大内存的机器,或使用负载管理限制系统的并发。
CPU 功能调试最小1×8 核,2.0GHz。
性能测试和商业部署时,单实例部署建议1×16核,2.0GHz。
CPU超线程和非超线程两种模式都支持。但是,MogDB各节点的设置需保持一致。
硬盘 用于安装MogDB的硬盘需最少满足如下要求:
- 至少1GB用于安装MogDB的应用程序。
- 每个主机需大约300MB用于元数据存储。
- 预留70%以上的磁盘剩余空间用于数据存储。
建议系统盘配置为RAID1,数据盘配置为RAID5,且规划4组RAID5数据盘用于安装MogDB。有关RAID的配置方法在本手册中不做介绍。请参考硬件厂家的手册或互联网上的方法进行配置,其中Disk Cache Policy一项需要设置为Disabled,否则机器异常掉电后有数据丢失的风险。
MogDB支持使用SSD盘作为数据库的主存储设备,支持SAS接口和NVME协议的SSD盘,以RAID的方式部署使用。
网络要求 300兆以上以太网。
建议网卡设置为双网卡冗余bond。有关网卡冗余bond的配置方法在本手册中不做介绍。请参考硬件厂商的手册或互联网上的方法进行配置。
MogDB网络如果配置bond,请保证bond模式一致,不一致的bond配置可能导致MogDB工作异常。

软件环境要求

软件类型 配置描述
rdtscp指令集(x86) 执行lscpu | grep rdtscp命令查看是否支持rdtscp指令集。
bmi2指令集(CentOS) 执行lscpu | grep bmi2命令查看是否支持bmi2指令集。
工具 Huawei JDK 1.8.0、psmisc、bzip2
Python - openEuler:支持Python 3.7.X
- CentOS:支持Python 3.6.X
- 麒麟:支持Python 3.7.X
说明:
python需要通过--enable-shared方式编译。

操作系统要求

操作系统 PTK方式 OM方式 手动方式
CentOS 7 (x86_64)
CentOS 8 (arm64)
CentOS 8 (x86_64)
EulerOS 2 (arm64)
EulerOS 2 (x86_64)
Kylin V10 (arm64)
Kylin V10 (x86_64)
NeoKylin V7 (x86_64)
Oracle Linux 7 (x86_64)
Oracle Linux 8 (x86_64)
Red Hat Enterprise Linux 7 (x86_64)
Red Hat Enterprise Linux 8 (x86_64)
Rocky Linux 7 (x86_64)
Rocky Linux 8 (x86_64)
SLES 12 (arm64)
UOS 20 (arm64)
UOS 20 (x86_64)
Ubuntu 18 (x86_64)
openEuler 20 (arm64)
openEuler 20 (x86_64)
openEuler 22 (arm64)
openEuler 22 (x86_64)

软件依赖要求

建议使用上述操作系统安装光盘或者源中,下列依赖软件的默认安装包,若不存在下列软件,可查看软件对应的建议版本。

所需软件 建议版本
libaio-devel 建议版本:0.3.109-13
flex 要求版本:2.5.31 以上
bison 建议版本:2.7-4
ncurses-devel 建议版本:5.9-13.20130511
glibc-devel 建议版本:2.17-111
patch 建议版本:2.7.1-10
redhat-lsb-core 建议版本:4.1
readline-devel 建议版本:7.0-13
libnsl(openEuler+x86环境中) 建议版本:2.28-36
openSSH 建议版本 :8.4p1
expect 建议版本 :5.45.4
Copyright © 2009-2022 www.enmotech.com All rights reserved.